Jump to: navigation, search

Difference between revisions of "Eclipse/Installation"

(Install a JVM)
(Install a JVM)
Line 5: Line 5:
 
* Regardless of your operating system, you will need to install some Java virtual machine.
 
* Regardless of your operating system, you will need to install some Java virtual machine.
 
:* If using Windows, you may already have one installed, but upgrading won't hurt.
 
:* If using Windows, you may already have one installed, but upgrading won't hurt.
:* If using Linux, [[IRC_FAQ#I_just_installed_Eclipse_on_Linux.2C_but_it_does_not_start._What_is_the_problem.3F | read this]] -- GCJ will '''NOT''' work. Also see: [http://www.64bitjungle.com/ubuntu/install-java-jre-160-update-x-on-hardy-as-the-default-java-runtime Installing JRE 1.6.0 (Update x) as the Default Runtime].
+
:* If using Linux, [[IRC_FAQ#I_just_installed_Eclipse_on_Linux.2C_but_it_does_not_start._What_is_the_problem.3F | read this]] -- GCJ will '''NOT''' work. Also see: [http://www.64bitjungle.com/ubuntu/install-java-jre-160-update-x-on-hardy-as-the-default-java-runtime Installing JRE 1.6.0 (Update x) as the Default Runtime in Linux].
 
* Consider an [http://www.ibm.com/developerworks/java/jdk/index.html IBM JDK] or a [http://java.sun.com/javase/downloads/index.jsp Sun JDK]. See below for minimum requirements.
 
* Consider an [http://www.ibm.com/developerworks/java/jdk/index.html IBM JDK] or a [http://java.sun.com/javase/downloads/index.jsp Sun JDK]. See below for minimum requirements.
  

Revision as of 21:56, 24 April 2009

Installing Eclipse is relatively easy.

Install a JVM

  • Regardless of your operating system, you will need to install some Java virtual machine.
  • Consider an IBM JDK or a Sun JDK. See below for minimum requirements.

Eclipse 3.3 / Europa

  • Install a JDK or JRE -- minimum required level is 1.4.2 for basic functionality, but some plugins require 5.0/1.5; for example Mylyn and various WTP plugins. If you downloaded and installed the Java EE Developer package, you will definitely need Java 5 or JDK 1.5 to run it.
  • Get Eclipse:
  • If installing on Linux, you can look for a package from your distro maintainter/repositories, but this is not supported by eclipse.org. If you encounter problems with such a bundle, please contact your distro maintainer.
  • Otherwise, download an Eclipse SDK or Runtime Binary or a Europa Bundle, then unpack it and start it up.

Additional Plugins

To add other plugins, here's the general process.

Help > Software Updates > Find and Install... > 
  (*) Search for new features > Next > 
  [x] Europa Discovery Site > 
  New Remote Site > add a new site >
  Finish
  • Expand the Europa Discovery site to resolve dependencies. Collapsed sites will not be searched.
  • Select the feature(s) you want to install.
  • Click the Select Required button to resolve missing dependencies.
  • Install. Restart. Enjoy.

Eclipse 3.2 / Callisto

  • Get Eclipse:
  • If installing on Linux, you can look for a package from your distro maintainter/repositories, but this is not supported by eclipse.org. If you encounter problems with such a bundle, please contact your distro maintainer.
  • Otherwise, download an Eclipse SDK or Runtime Binary, then unpack it and start it up.

Additional Plugins

To add other plugins, here's the general process.

Help > Software Updates > Find and Install... > 
  (*) Search for new features > Next > 
  New Remote Site > add the new site: http://download.eclipse.org/callisto/releases/ >
  New Remote Site > add a new site >
  Finish
  • Select the projects &/or components you want to install.
  • Expand the Callisto Updates site to resolve dependencies. Collapsed sites will not be searched.
  • Select the feature(s) you want to install.
  • Click the Select Required button to resolve missing dependencies.
  • If it does not work, you will have to manually select dependencies.
  • If that doesn't work, start over, but add more update sites. Can't find a given dependency? Try here or here.
  • Install. Restart. Enjoy.